Admin Events
A chronological log of administrative actions in the organization: agent lifecycle, keys, exports, organization and member changes, assignments, and webhooks.
List Admin Events
GET
/v1/admin/events
Return recent admin events for the current organization, newest first.
Auth: org_owner, security_admin, compliance_auditor
Query Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| limit | number | No | Number of events to return, from 1 to 100 (default 20) |
Example Request
bash
curl "https://api.elydora.com/v1/admin/events?limit=50" \
-H "Authorization: Bearer <token>"Response
details is a JSON string or null.
json
{
"events": [
{
"event_id": "0195a5f6-a7b8-7c9d-e0f1-a2b3c4d5e6f7",
"org_id": "0195a0b1-c2d3-7e4f-a5b6-c7d8e9f0a1b2",
"actor": "0195a0b1-c2d3-7e4f-a5b6-c7d8e9f0a1b2",
"action": "webhook.register",
"target_type": "webhook",
"target_id": "0195a1b2-c3d4-7e5f-a6b7-c8d9e0f1a2b3",
"details": "{\"endpoint_url\":\"https://hooks.acme.com/elydora\"}",
"created_at": 1772290800000
},
{
"event_id": "0195a4e5-f6a7-7b8c-d9e0-f1a2b3c4d5e6",
"org_id": "0195a0b1-c2d3-7e4f-a5b6-c7d8e9f0a1b2",
"actor": "0195a0b1-c2d3-7e4f-a5b6-c7d8e9f0a1b2",
"action": "agent.assign",
"target_type": "agent_assignment",
"target_id": "0195a8c9-d0e1-7f2a-b3c4-d5e6f7a8b9c0",
"details": "{\"agent_id\":\"agent_underwriter\",\"user_id\":\"0195a3d4-e5f6-7a7b-c8d9-e0f1a2b3c4d5\"}",
"created_at": 1772287200000
}
]
}Action Types
| Field | Type | Required | Description |
|---|---|---|---|
| agent.register | string | No | Agent registered |
| agent.update | string | No | Agent integration type updated |
| agent.freeze | string | No | Agent frozen |
| agent.unfreeze | string | No | Agent unfrozen |
| agent.revoke | string | No | Agent revoked |
| agent.delete | string | No | Agent deleted |
| key.revoke | string | No | Agent key revoked |
| export.create | string | No | Export created |
| org.create | string | No | Organization or personal workspace created |
| org.update | string | No | Organization updated |
| member.invite | string | No | Member invited |
| invitation.cancel | string | No | Invitation cancelled |
| member.remove | string | No | Member removed |
| member.role_change | string | No | Member role changed |
| agent.assign | string | No | User assigned to an agent |
| agent.unassign | string | No | User removed from an agent |
| webhook.register | string | No | Webhook registered |
| webhook.delete | string | No | Webhook deleted |